# `ldap.schema` Handling LDAPv3 schema

This module deals with schema information usually retrieved from a special subschema subentry provided by the server. It is closely modeled along the directory information model described in the following RFC with which you should make yourself familiar when trying to use this module:

See also

RFC 4512 - Lightweight Directory Access Protocol (LDAP): Directory Information Models

## `ldap.schema.subentry` Processing LDAPv3 subschema subentry

`ldap.schema.subentry.``NOT_HUMAN_READABLE_LDAP_SYNTAXES`

  Dictionary where the keys are the OIDs of LDAP syntaxes known to be not human-readable when displayed to a console without conversion and which cannot be decoded to a `types.UnicodeType`.

### Functions

### Classes

## `ldap.schema.models` Schema elements

## Examples for ldap.schema

    import ldap.schema